Open1

poetry install failed with python-3.9.9

ラズパイ4でpytestを動かそうとpyenv入れてpoetry入れてってやってたのですが、libffiが入ってないpythonをつくってしまうと

ModuleNotFoundError: No module named '_ctypes'

ってエラーが出て、buildできない(pip installもできない)パッケージが多数でてくる模様

pyenv uninstall 3.9.9
sudo apt install libffi-dev
pyenv install 3.9.9

でpythonを作り直せばOKでした!

ログインするとコメントできます